Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596237 - In codes of tui.py bring "AlreadyRegisteredWindow" less hard-coded
In codes of tui.py bring "AlreadyRegisteredWindow" less hard-coded
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Milan Zázrivec
Garik Khachikyan
:
Depends On:
Blocks: 582655
  Show dependency treegraph
 
Reported: 2010-05-26 08:40 EDT by Garik Khachikyan
Modified: 2015-01-04 16:57 EST (History)
2 users (show)

See Also:
Fixed In Version: rhn-client-tools-1.0.0-21.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:30:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2010-05-26 08:40:14 EDT
Description of problem:
in the bits of /usr/share/rhn/up2date_client/tui.py there is hard-coded "System software updates already set up" string. Would be better to see it defined/used somewhere in/from /usr/share/rhn/up2date_client/rhnreg_constants.py

Version-Release number of selected component (if applicable):
rhn-setup-1.0.0-4.el6.noarch
rhn-client-tools-1.0.0-4.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. see description.
2.
3.
  
Actual results:
Hard-coded constant string(s)

Expected results:
Moved and beeing used from rhnreg_constants.py

Additional info:
Comment 3 Garik Khachikyan 2010-05-26 08:53:02 EDT
Please refer to "OSReleaseWindow" -> "Select Operating System Release" also.
Comment 4 Garik Khachikyan 2010-05-26 10:03:12 EDT
as well as below:
"HardwareWindow" -> "Register a System Profile - Hardware"
"PackagesWindow" -> "Register a System Profile - Packages"
"SendWindow" -> "Send Profile Information to Red Hat Network"
Comment 5 RHEL Product and Program Management 2010-06-07 12:02:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 Milan Zázrivec 2010-06-08 07:31:38 EDT
spacewalk.git master:

a7e6566dfb5a723b56ee0b6229451a33f28fee41
790678be341a0d43b69a10a7dbf85b98a91ec18b
10ac58f27079f27b289be6be0d598029152f3508
abd6b45fd407b3ada03bc440d92f76342c58632e
18f23c924e962b7e3a640d49fea8b1ecdc0f1876
Comment 8 Milan Zázrivec 2010-06-08 07:32:30 EDT
satellite.git CLIENT-RHEL-6:

0f03dc4239368c21c5deef059703df2cba00ead4
d62965a93816cf951ef252b9ab93d9e86f9f0314
3e2c3d9d3df27c1e216b742ed3f6a32e3426c0bb
b00a581a85110a5152f9293e29dbc85e95294bf7
43857f9eca006ebd5d158dd67dd212517d98c221
Comment 9 Milan Zázrivec 2010-06-09 08:28:47 EDT
One typo bug discovered by the reporter of the bug:

spacewalk.git master: fb8359fe5932a6d8f3d46fb57b55e7092c6738e1
satellite.git CLIENT-RHEL-6: 7e895a81b6313bcc1cf4291e70033f62d0c12b98
Comment 13 Garik Khachikyan 2010-07-08 10:44:53 EDT
# VERIFIED

Checked all the hard-coded strings mentioned in the bug comments (and description) - all are fixed now (moved to the constants python script).

thanks.

Checked against:
rhn-client-tools-1.0.0-24.el6.noarch
Comment 14 releng-rhel@redhat.com 2010-11-10 16:30:04 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.